<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
 <xsl:output method="xml" omit-xml-declaration="yes"/>

	
  <xsl:template match="/resultset">
  <div>
  		<h3>Cannot delete collection</h3>
		<p>You have the following packages installed that would be orphaned.  If you really want
		to remove this collection please uninstall the packages first</p>
		<table class="titleframe" cellpadding="1" cellspacing="0">
			<xsl:apply-templates select="row"/>
		</table>
  </div>
  </xsl:template>
  
  <xsl:template match="row">
  	<tr>
  		<xsl:choose>
  			<xsl:when test="position() mod 2 = 0">
  				<xsl:attribute name="class">evenrow</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">oddrow</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
  		<td>
  			<xsl:if test="RUNLEVEL&lt;=1">
  				<img src="/nkse/style/img/favicon.png"/>
  			</xsl:if>
  		</td>
  		<td align="center">
  			<input type="checkbox" value="{ID}" disabled="">
  			<xsl:if test="INSTALLED='true'">
  				<xsl:attribute name="checked"></xsl:attribute>
  			</xsl:if>
  			</input>
  		</td>
  		<td>
  			<xsl:value-of select="NAME"/>
  		</td>
  		<td align="center">
  			<xsl:value-of select="RUNLEVEL"/>
  		</td>
  		<td align="center">
  			<xsl:value-of select="VP"/>
  		</td>
  	</tr>
  </xsl:template>

</xsl:stylesheet> 
