<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>
  <xsl:param name="simple" nk:class="java.lang.Boolean"/>

  <xsl:template match="/resultset/row">
  <div>
  		<xsl:choose >
  			<xsl:when test="UPDATES!=0">
  				<xsl:attribute name="class">panel panel-warning</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">panel panel-default</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
  		<div class="panel-heading">
  			<div class="panel-title">Apposite Stats</div>
  		</div>
  		<table class="table table-condensed">
  		<tr>
  		<td><b>Total Packages:</b></td><td> <xsl:value-of select="PACKAGES"/></td>
  		<td><b>Installed:</b>	</td><td><xsl:value-of select="INSTALLED"/></td>
  		<td><b>Modules Installed:</b></td><td><xsl:value-of select="MODULES"/></td>
  		<td><b>Updates:</b></td><td><xsl:value-of select="UPDATES"/></td>
  		<td><b>Security Updates:</b></td><td><xsl:value-of select="SECURITY"/></td>
  		</tr>
  		</table>
  		<xsl:if test="UPDATES!=0 and not($simple)">
			<div class="panel-warning row">
				<div class="col-xs-3"><a class="btn btn-default" href="/tools/apposite/">Open Apposite</a></div>
				<div class="col-xs-9"><xsl:value-of select="UPDATES"/> updates available</div>  
			</div>
  		</xsl:if>
		<!--
  		<xsl:if test="true() or /resultset/update">
  		<tr>
  			<td colspan="10">
  				<div class="update" style="width: 100%; margin: 5px 0 px 0; padding: 5px; border:1px solid #6A6A6A; font-weight: bold;">
  					New distribution '<xsl:value-of select="/resultset/update/name"/>' is available.
  					<div style="float: right;">
  						<input type="button" value="Download" onclick="parent.location='http://www.1060research.com/netkernel/download/'"/>
  					</div>
  				</div>
  			</td>
  		</tr>
  		</xsl:if>
  		-->
  </div>
  </xsl:template>
  

</xsl:stylesheet> 
