<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml"/>

  <xsl:template match="/resultset">
  <div>
  	<h3 style="font-size: 75%;">Modules</h3>
  	<xsl:if test="row">
  	<table class="table">
    	<xsl:apply-templates/>
    </table>
    </xsl:if>
    </div>
  </xsl:template>
  
  <xsl:template match="row">
  	<tr>
  		<xsl:choose>
  			<xsl:when test="position() mod 2 = 0">
  				<xsl:attribute name="class">evenrow</xsl:attribute>
  			</xsl:when>
  			<xsl:otherwise>
  				<xsl:attribute name="class">oddrow</xsl:attribute>
  			</xsl:otherwise>
  		</xsl:choose>
  		<td>
  		<table>
  			<tr>
  				<td>
  					<xsl:value-of select="IDENTITY"/> v<xsl:value-of select="VM"/>
  				</td>
  			</tr>
  			<tr>
  				<td><span style="font-size:70%; font-style: italic;">source location: </span> <span style="font-size:70%;"><xsl:value-of select="LOCALSRC"/></span></td>
  			</tr>
  		</table>
  		</td>
  	</tr>
  </xsl:template>

</xsl:stylesheet> 
