SELECT
	PACKAGES.*,
	VERSION_UNION.*,
	VERSION_UNION.VERSION[0] || '.' || VERSION_UNION.VERSION[1] || '.' || VERSION_UNION.VERSION[2] as VP,
	REPOS.ID AS REPOID,
	REPOS.NAME AS REPONAME,
	REPOS.URLBASE,
	REPO_COLLECTIONS.ID AS COLLECTIONID,
	REPO_COLLECTIONS.DISTPATH,
	REPO_COLLECTION_SETS.ID AS COLLECTIONSETID,
	REPO_COLLECTION_SETS.NAME AS SETNAME
	FROM
	PACKAGES,
	VERSION_UNION,
	REPOS,
	REPO_COLLECTIONS,
	REPO_COLLECTION_SETS
	WHERE
		REPOS.ID=REPO_COLLECTIONS.REPOID
		AND
		REPO_COLLECTIONS.ID=REPO_COLLECTION_SETS.REPOCOLLECTIONID
		AND
		PACKAGES.REPOCOLLECTIONSETID=REPO_COLLECTION_SETS.ID
		AND
		PACKAGES.ID= VERSION_UNION.PACKAGEID
		AND
		PACKAGES.ID=${id}
		ORDER BY VERSION_UNION.ID DESC
;