SELECT
	*,
	PACKAGE_VERSIONS.ID AS VERSIONID,
	PACKAGE_VERSIONS.VERSION[0] || '.' || PACKAGE_VERSIONS.VERSION[1] || '.' || PACKAGE_VERSIONS.VERSION[2] as VP
	FROM
	PACKAGES,
	PACKAGE_VERSIONS
	WHERE
	PACKAGES.ID= PACKAGE_VERSIONS.PACKAGEID
	AND
	PACKAGE_VERSIONS.INSTALLED=TRUE
	AND
	PACKAGES.RUNLEVEL=${runlevel}
	AND
	PACKAGES.ID>0
	ORDER BY NAME ASC
;