SELECT
	REPOS.ID AS REPOID,
	REPOS.NAME AS REPONAME,
	REPOS.URLBASE,
	REPOS.TRUSTED,
	CASEWHEN(REPOS.PUBLICKEY IS NULL, 0, 1) AS HASPUBLICKEY, 
	REPOS.TRUSTED,
	REPO_COLLECTIONS.ID AS COLLECTIONID,
	REPO_COLLECTIONS.DISTPATH,
	REPO_COLLECTION_SETS.ID AS COLLECTIONSETID,
	REPO_COLLECTION_SETS.NAME AS SETNAME
	FROM
		REPO_COLLECTION_SETS, REPO_COLLECTIONS, REPOS 
	WHERE
	REPO_COLLECTION_SETS.ID=${id}
	AND
	REPO_COLLECTIONS.ID=REPO_COLLECTION_SETS.REPOCOLLECTIONID
	AND
	REPOS.ID=REPO_COLLECTIONS.REPOID
		
;
