<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
  <xsl:output method="xml" omit-xml-declaration="yes"/>

  <xsl:template match="/report">
  	<div>
  		<div id="temp"></div>
  		<xsl:apply-templates select="finished"/>
  		<div class="status-clear" style="display:none">
  		<b>Update Completed</b>
  		<form action="/tools/apposite/" method="POST">
    		<button class="btn btn-primary" type="submit" value="Refresh"><span class="icon-refresh"> </span> Refresh</button>
    	</form>
    	</div>
	  <table id="ajaxtable" class="table">
	  	<thead>
	  		<tr>
	  			<th>Step</th>
	  			<th>Status</th>
	  		</tr>
	  	</thead>
	  	<tbody>
	  	<xsl:apply-templates select="stage"/>
	  	</tbody>
	  </table>
	  
	  <div class="status-clear" style="display:none">
  		<b>Update Completed</b>
  		<form action="/tools/apposite/" method="POST">
    		<button class="btn btn-primary" type="submit" value="Refresh"><span class="icon-refresh"> </span> Refresh</button>
    	</form>
    	</div>
	</div>
  </xsl:template>
  
  <xsl:template match="stage">
  	<tr>
  		<td><span style="font-weight: bold;"><xsl:value-of select="@title"/></span></td>
  		<td>
			<!--<pre class="quoted">-->
				<xsl:value-of select="*"/>
			<!--</pre>-->
  		</td>
  	</tr>
  </xsl:template>
  
  <xsl:template match="finished">
  	<div id="finished">
  		<div id="status-finalize">
  		<img class="spinner" src="/nkse/style/img/ajax-loader.gif" onload="triggerClear()"/>
		<b>Almost done. System is now commissioning modules. Please examine console output for commissioning status...</b>
  		</div>
    </div>
  </xsl:template>

</xsl:stylesheet> 
